import { useMemo } from 'react';
import Box from './Box';
import Rect from './Rect';

import stylesheet from './styles.module.scss';

const Placeholder = props => {
  const { active, type } = props;

  if (!active) {
    return null;
  }

  const PlaceholderType = useMemo(() => {
    if (type === 'leaderboard') {
      return Rect;
    }

    return Box;
  }, [type]);

  return (
    <div className='ad-placeholder'>
      <PlaceholderType />
      <style jsx>{stylesheet}</style>
    </div>
  );
};

export default Placeholder;
