export default {
  title: 'Navigation',

  componentProps: [
    {
      name: 'site',
      type: [`''`, `'magazine'`],
      description: 'The site this page belongs to (blank for the core site)',
      default: `''`,
    },
    {
      name: 'theme',
      type: [`'light'`, `'dark'`],
      description: 'White background or black background (the default depends on the site chosen)',
    },
  ],

  cssProps: [
    {
      name: 'root',
      globalClass: 'PibNavigation-root',
      description: 'Styles applied to root element',
    },
    {
      name: 'container',
      globalClass: 'PibNavigation-container',
      description: 'Styles applied to container element',
    },
    {
      name: 'branding',
      globalClass: 'PibNavigation-branding',
      description: 'Styles applied to the name of the site',
    },
    {
      name: 'home',
      globalClass: 'PibNavigation-home',
      description: 'Styles applied to the home link',
    },
    {
      name: 'links',
      globalClass: 'PibNavigation-links',
      description: 'Styles applied to the container of the links to other properties',
    },
  ],

  examples: [
    {
      code: `

<Navigation />

`,
    },
    {
      name: 'Magazine Navigation',
      description: 'If you\'re working on a Magazine piece set the "site" to "magazine".',
      code: `

<Navigation site="magazine" />

`,
    },
    {
      name: 'Dark Mode',
      description: 'You can switch between "light" and "dark" themes using the theme prop. Note that the default theme for the base nav is "light", but the default theme for the Magazine nav is "dark". Try changing the site to "magazine" and the "theme" to "light".',
      code: `

<Navigation theme="dark" />

`,
    },
  ],
};
