export default {
  title: 'Section',

  componentProps: [
    {
      name: 'children',
      type: 'node',
      description: 'The content of the component',
    },
    {
      name: 'href',
      type: 'string',
      description: 'A link to a POLITICO content section',
    },
  ],

  cssProps: [
    {
      name: 'root',
      globalClass: 'PibSection-root',
      description: 'Styles applied to root element',
    },
    {
      name: 'container',
      globalClass: 'PibSection-container',
      description: 'Styles applied to container element',
    },
  ],

  examples: [
    {
      code: `
<Section href="https://www.politico.com/white-house">
  White House
</Section>`,
    },
  ],
};
