import classnames from 'classnames';

import stylesheet from './styles.module.scss';

const Section = (props) => {
  const { children, href, classes } = props;
  const {
    root: rootClass,
    container: containerClass,
  } = classes;

  return (
    <p
      className={classnames('PibSection-container', 'section', containerClass)}
    >
      {href &&
        <a className={classnames('PibSection-root', rootClass)} href={href} target='_blank'>
          {children}
        </a>
      }

      {!href &&
        <span className={classnames('PibSection-root', rootClass)} >
          {children}
        </span>
      }

      <style jsx>{stylesheet}</style>
    </p>
  );
};

Section.defaultProps = {
  classes: {},
  href: '',
};

export default Section;
