import { useCallback } from 'react';

export default function useTwitterHandler({ meta, handler, props, triggerNavigator }) {
  return useCallback(e => {
    e.preventDefault();
    handler();

    if (!triggerNavigator()) {
      const subject = encodeURIComponent(props.subject);
      const status = meta.status;
      window.open(`mailto:?subject=${subject}&body=${status}`);
    }
  }, [meta.status, props.subject, handler]);
}
