import { useCallback } from 'react';

const shouldUseNavigator = () => {
  if (typeof window === 'undefined') {
    return false;
  } else {
    return /iPad|iPhone|iPod|Android/.test(navigator.userAgent) && !window.MSStream;
  }
};

export default function useNavigator(meta) {
  return useCallback(() => {
    if (shouldUseNavigator() && navigator.share) {
      navigator.share({
        title: meta.title,
        url: meta.canonical,
      }).catch(e => {});
      return true;
    } else {
      return false;
    }
  }, [meta.title, meta.canonical]);
}
