import { useState, useEffect } from 'react';

export default function useShareMeta(props) {
  const [meta, setMeta] = useState({
    canonical: '',
    title: '',
    status: '',
  });

  useEffect(() => {
    const canonical = (
      document.querySelector('link[rel=canonical]') &&
      document.querySelector('link[rel=canonical]').href
    ) || window.location.href;

    const title = (
      document.querySelector('meta[property="og:title"]') &&
      document.querySelector('meta[property="og:title"]').getAttribute('content')
    ) || (
      document.querySelector('meta[property="twitter:title"]') &&
      document.querySelector('meta[property="twitter:title"]').getAttribute('content')
    ) || (
      document.querySelector('title') &&
      document.querySelector('title').innerText
    ) || '';

    const bodyText = props.body;
    const uri = window.location.href;
    const status = encodeURIComponent(`${bodyText}\n\n${uri}`);

    setMeta({ canonical, title, status });
  }, [props]);

  return meta;
}
