export default {
  title: 'SkipNav',

  importString: `\
import SkipNav, { SkipToMainContent, SkipToSitemap } from '@politico/interactive-style/src/components/SkipNav';
// or
import { SkipNav, SkipToMainContent, SkipToSitemap  } from '@politico/interactive-style';`,

  cssProps: [
    {
      name: 'root',
      globalClass: 'PibSkipNav-root',
      description: 'Styles applied to root div',
    },
    {
      name: 'action',
      globalClass: 'PibSkipNav-action',
      description: 'Styles applied to the action buttons',
    },
  ],

  examples: [
    {
      code: `

<div>
  <p>Click here, then hit Tab on your keyboard.</p>
  <SkipNav />
</div>

`,
    },
    {
      name: 'Full Demo',
      description: 'You can see the SkipNav in action. Click the text, and use the tab key to activate one of the buttons. Then click enter to skip to that section in the demo below. Remember that the "SkipToSitemap" is already included with the "Footer" component, but you\'ll need to place "SkipToMainContent" right above your content.',
      code: `
<div>
  <p>Click here, then hit Tab on your keyboard.</p>
  <SkipNav />
  <p style={{marginTop: '1000px'}}>This is the main content.</p>
  <SkipToMainContent />
  <p style={{marginTop: '1000px'}}>This is the sitemap</p>
  <SkipToSitemap />
</div>
    `,
    },
  ],
};
