import { useMemo } from 'react';
import { useRouter } from 'next/router';
import stylesheet from './styles.module.scss';

const Header = () => {
  const { route, query } = useRouter();

  const gitLink = useMemo(() => {
    const base = 'https://github.com/The-Politico/politico-interactive-style/';
    if (route === '/') {
      return base;
    }

    if (route === '/colors') {
      return `${base}tree/master/src/constants/colors`;
    }

    if (route === '/vars') {
      return `${base}tree/master/src/theme`;
    }

    if (route === '/component') {
      return `${base}tree/master/src/components/${query.name}/index.js`;
    }
  });

  return (
    <div className='header'>
      <div className='icons'>
        <a className='icon-link' href='https://www.npmjs.com/package/@politico/interactive-style'>
          <span className='icon'>
            <svg className='npm' viewBox='0 0 780 250'><path fill='white' d='M240,250h100v-50h100V0H240V250z M340,50h50v100h-50V50z M480,0v200h100V50h50v150h50V50h50v150h50V0H480z M0,200h100V50h50v150h50V0H0V200z' /></svg>
          </span>
        </a>
        <a className='icon-link' href={gitLink}>
          <span className='icon'>
            <svg className='git' focusable='false' viewBox='0 0 24 24' aria-hidden='true'><path d='M12 .3a12 12 0 0 0-3.8 23.4c.6.1.8-.3.8-.6v-2c-3.3.7-4-1.6-4-1.6-.6-1.4-1.4-1.8-1.4-1.8-1-.7.1-.7.1-.7 1.2 0 1.9 1.2 1.9 1.2 1 1.8 2.8 1.3 3.5 1 0-.8.4-1.3.7-1.6-2.7-.3-5.5-1.3-5.5-6 0-1.2.5-2.3 1.3-3.1-.2-.4-.6-1.6 0-3.2 0 0 1-.3 3.4 1.2a11.5 11.5 0 0 1 6 0c2.3-1.5 3.3-1.2 3.3-1.2.6 1.6.2 2.8 0 3.2.9.8 1.3 1.9 1.3 3.2 0 4.6-2.8 5.6-5.5 5.9.5.4.9 1 .9 2.2v3.3c0 .3.1.7.8.6A12 12 0 0 0 12 .3' /></svg>
          </span>
        </a>
      </div>
      <style jsx>{stylesheet}</style>
    </div>
  );
};

export default Header;
