import { scroller } from 'react-scroll';

import stylesheet from './styles.module.scss';

const Sections = props => {
  const { sections } = props;

  const scrollTo = e => () => scroller.scrollTo(e, {
    duration: 800,
    delay: 0,
    smooth: 'easeInOutQuart',
    offset: -35,
  });

  return (
    <ul className='pages__components__sections'>
      {sections.map(s =>
        <li key={s} className='section' onClick={scrollTo(s)}>
          <span className='section__innner'>
            {s}
          </span>
        </li>
      )}
      <style jsx>{stylesheet}</style>
    </ul>
  );
};

export default Sections;
