import { useContext } from 'react';
import {
  LiveContext
} from 'react-live';

import copy from 'copy-to-clipboard';
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';
import { faCopy, faRedo, faBug } from '@fortawesome/free-solid-svg-icons';

import stylesheet from './styles.module.scss';

const ActionBar = props => {
  const { code, resetCode, setShowError } = props;

  const { error } = useContext(LiveContext);

  return (
    <div className='action-bar'>
      <button
        className='copy action-button'
        onClick={() => copy(code)}
      >
        <FontAwesomeIcon icon={faCopy} />
      </button>
      <button
        className='reset action-button'
        onClick={() => resetCode()}
      >
        <FontAwesomeIcon icon={faRedo} />
      </button>
      {error &&
        <button
          className='debug action-button'
          onClick={() => setShowError(e => !e)}
        >
          <FontAwesomeIcon icon={faBug} />
        </button>
      }
      <style jsx>{stylesheet}</style>
    </div>
  );
};

export default ActionBar;
